getmempoolentry
POST
Returns the detailed mempool data for a transaction in the mempool.It includes the fees, the ancestor and descendant data, and the BIP 125 replaceability signal.
📘 An error is returned when the given transaction is not in the mempool.
param[0]
txidstringrequired
The transaction id. The transaction must be in the mempool.Responses
vsizeinteger
The virtual transaction size as defined in BIP 141.weightinteger
The transaction weight as defined in BIP 141.timeinteger
The local time the transaction entered the pool, expressed in UNIX epoch time.heightinteger
The block height when the transaction entered the pool.descendantcountinteger
The number of in-mempool descendant transactions, including this one.descendantsizeinteger
The total virtual size of in-mempool descendants, including this one.ancestorcountinteger
The number of in-mempool ancestor transactions, including this one.ancestorsizeinteger
The total virtual size of in-mempool ancestors, including this one.wtxidstring
The hash of the serialized transaction, including witness data.Detailed transaction fee data. All values are denominated in BTC.
basenumber
The transaction fee.modifiednumber
The transaction fee with fee deltas used for mining priority.ancestornumber
The transaction fees of in-mempool ancestors with fee deltas used for mining priority.descendantnumber
The transaction fees of in-mempool descendants with fee deltas used for mining priority.dependsarray
The list of unconfirmed parent transaction ids used as inputs for this transaction.spentbyarray
The list of unconfirmed child transaction ids spending outputs from this transaction.bip125-replaceableboolean
Whether this transaction signals BIP 125 replaceability. This field is deprecated.unbroadcastboolean
Whether this transaction is currently unbroadcast.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getmempoolentry","params": ["4a5e1e4baab89f3a32518a88c31bc87f618f76673e2cc77ab2127b7afdeda33b"]}'